@import "libs/shared/assets/src/global-style/variable";

.project-name-container {
    background: $bg-modal-header-title;
    padding: 22px 0px 22px 0px;
    border-radius: 8px;
    &__row {
        display: flex;
        align-items: flex-end;
        &--col {
            padding-left: 24px;
            display: flex;
        }

        &--col-button {
            padding-left: 8px;
        }
    }
}

.col {
    &__title {
        font-style: normal;
        font-weight: 700;
        font-size: 16px;
        line-height: 150%;
        border-right: 1px $bg-gray-new solid;
        padding: 5px 40px 5px 0px;
    }

    &__name {
        font-style: normal;
        font-weight: 400;
        font-size: 16px;
        line-height: 150%;
        color: $bg-gray-body;
        padding: 5px 0px 5px 40px;
    }
}

.table-container {
    margin-top: 24px;
    ::ng-deep {
        .input__group--no-label {
            min-height: 0px !important;
        }

        .ant-picker {
            border: 1px solid $bg-gray-light !important;
            border-radius: 4px !important;
        }
        .ant-input {
            border-radius: 4px !important;
            height: 40px !important;
        }

        .ant-select-selector {
            border-radius: 4px !important;
        }

        .ant-radio-group {
            width: 100%;
        }

        .ant-checkbox-inner {
            border-radius: 8px;
        }

        .datepicker__group.datepicker__group--icon .datepicker__group--group--error .ant-picker {
            border-color: #ff4d4f !important;
        }
    }

    &__view {
        padding: 12px !important;
    }

    &__search {
        ::ng-deep {
            .ant-select-arrow {
                display: none;
            }
        }
    }

    &__add-row {
        display: flex;
        justify-content: center;
        column-gap: 16px;
        color: $bg-icon-add-primary;
        padding: 8px;
        &--icon {
            display: flex;
            align-items: center;
            color: $bg-icon-add-primary;
        }

        &--text {
            font-style: normal;
            font-weight: 700;
            font-size: 14px;
            line-height: 140%;
        }
    }

    &__button {
        border: none;
    }

    &__cell-center {
        display: flex;
        justify-content: center;
    }

    &__cell-center-checkbox {
        display: flex;
        justify-content: center;
        padding-right: 16px;
    }
}

.custom-style-table {
    padding: 15px 0;
}
